# $Revision: 1.3 $, $Date: 2006/08/25 09:06:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	UNIVERSAL
%define	pnam	require
Summary:	UNIVERSAL::require - require() modules from a variable
Summary(pl):	UNIVERSAL::require - wymaganie moduw ze zmiennej
Name:		perl-UNIVERSAL-require
Version:	0.10
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4ea51136ee7052bb37dc52c7cb8945b0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Conflicts:	perl-UNIVERSAL-exports < 0.03-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you've ever had to do this...

eval "require $module";

to get around the bareword caveats on require(), this module is for
you. It creates a universal require() class method that will work with
every Perl module and it's secure. So instead of doing some arcane
eval() work, you can do this:

$module->require;

%description -l pl
Jeli kiedykolwiek byo nam potrzebne...

eval "require $module";

do obejcia przeciwnoci require(), ten modu jest dla nas. Tworzy
uniwersaln metod klasy require() dziaajc z kadym moduem Perla,
a jednoczenie bezpieczn. Czyli zamiast wykonywania jakich tajemnych
dziaa z eval(), mona zrobi:

$module->require;

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/UNIVERSAL/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-UNIVERSAL-require.spec,v $
Revision 1.3  2006/08/25 09:06:38  glen
- resolved(!) conflict with perl-UNIVERSAL-exports; rel 2

Revision 1.2  2005/11/15 21:14:50  qboosh
- pl(?)

Revision 1.1  2005/11/07 14:14:07  migo
- initial revision
- UNIVERSAL::require is now separated from UNIVERSAL-exports package. But
  UNIVERSAL-exports still contain UNIVERSAL::require...
